Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLEditorKit.LinkController

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--javax.swing.text.html.HTMLEditorKit.LinkController

All Implemented Interfaces:
  EventListener, MouseListener, MouseMotionListener, Serializable

Enclosing class:
  HTMLEditorKit

public static class HTMLEditorKit.LinkController
extends MouseAdapter
implements MouseMotionListener, Serializable

Class to watch the associated component and fire hyperlink events on it when appropriate.

See Also:
  Serialized Form

Constructor Summary
`HTMLEditorKit.LinkController()`

Method Summary
`protected void` | `activateLink(int pos, JEditorPane editor)` Calls linkActivated on the associated JEditorPane if the given position represents a link.
`void` | `mouseClicked(MouseEvent e)` Called for a mouse click event.
`void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`void` | `mouseMoved(MouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons no down).

Methods inherited from class java.awt.event.MouseAdapter
`mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLEditorKit.LinkController

    public HTMLEditorKit.LinkController()

Method Detail

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Called for a mouse click event. If the component is read-only (ie a browser) then the clicked event is used to drive an attempt to follow the reference specified by a link.
  Overrides:
    `mouseClicked` in class `MouseAdapter`
  Parameters:
    `e` - the mouse event
  See Also:
    `MouseListener.mouseClicked(java.awt.event.MouseEvent)`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Description copied from interface: `MouseMotionListener`
  Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).
  Specified by:
    `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Description copied from interface: `MouseMotionListener`
  Invoked when the mouse button has been moved on a component (with no buttons no down).
  Specified by:
    `mouseMoved` in interface `MouseMotionListener`

### activateLink

    protected void activateLink(int pos,
                                JEditorPane editor)

  Calls linkActivated on the associated JEditorPane if the given position represents a link.

  This is implemented to forward to the method with the same name, but with the following args both == -1.

  Parameters:
    `pos` - the position
    `html` - the editor pane

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.